Aviso de seguridad de Debian

DSA-491-1 linux-kernel-2.4.19-mips -- varias vulnerabilidades

Fecha del informe:
17 de abr de 2004
Paquetes afectados:
kernel-source-2.4.19 kernel-patch-2.4.19-mips
Vulnerable:
Referencias a bases de datos de seguridad:
En la base de datos de Bugtraq (en SecurityFocus): Id. en BugTraq 10141, Id. en BugTraq 10152, Id. en BugTraq 9570, Id. en BugTraq 9691, Id. en BugTraq 9985, Id. en BugTraq 10152.
En el diccionario CVE de Mitre: CVE-2004-0003, CVE-2004-0010, CVE-2004-0109, CVE-2004-0177, CVE-2004-0178.
Información adicional:

Se han descubierto varias vulnerabilidades en el núcleo Linux. Esta actualización se centra en Linux 2.4.19 para la arquitectura MIPS. El proyecto Common Vulnerabilities and Exposures (Exposiciones y Vulnerabilidades Comunes) identificó los siguientes problemas, que se corregirán en esta actualización:

  • CAN-2004-0003

    Se ha descubierto una vulnerabilidad en el manejador DRI R128 en el núcleo Linux, que potencialmente podría provocar que un atacante obtuviera privilegios no autorizados. Alan Cox y Thomas Biege desarrollaron un corrección para este problema.

  • CAN-2004-0010

    Arjan van de Ven descubrió un desbordamiento de buffer basado en pila en la función ncp_lookup para ncpfs en el núcleo Linux, que podría llevar a un atacante a obtener privilegios no autorizados. Petr Vandrovec desarrolló una corrección para este problema.

  • CAN-2004-0109

    zen-parse descubrió una vulnerabilidad de desbordamiento de buffer en el componente del sistema de archivos ISO9660 del núcleo Linux, de la que podría abusar un atacante para obtener acceso no autorizado a root. Sebastian Krahmer y Ernie Petrides desarrollaron una corrección para este problema.

  • CAN-2004-0177

    Solar Designer descubrió una debilidad de información en el código ext3 de Linux. En el peor caso, un atacante podría leer datos sensibles, como claves de cifrado que de otra forma nunca hubieran llegado al soporte en disco. Theodore Ts'o desarrolló una corrección para este problema.

  • CAN-2004-0178

    Andreas Kies descubrió una condición de denegación de servicio en el manejador de Sound Blaster de Linux. También desarrolló la corrección para este problema.

Estos problemas también se han corregido en la versión original de Linux 2.4.26 y en las versiones futuras de 2.6.

La siguiente matriz de seguridad explica qué versiones del núcleo y para qué arquitecturas se han corregido ya y cuáles se eliminarán.

Arquitectura estable (woody) inestable (sid) eliminado en sid
fuente 2.4.17-1woody3 2.4.25-3 2.4.19-11
mips 2.4.17-0.020226.2.woody6 2.4.25-0.040415.1 2.4.19-0.020911.8
mipsel 2.4.17-0.020226.2.woody6 2.4.25-0.040415.1 2.4.19-0.020911.9

Le recomendamos que actualice inmediatamente los paquetes del núcleo, bien con los núcleos que proporciona Debian o bien con los que compile usted mismo.

Matriz de vulnerabilidad para CAN-2004-0109

Arreglado en:

Debian GNU/Linux 3.0 (woody)

Fuentes:
http://security.debian.org/pool/updates/main/k/kernel-source-2.4.19/kernel-source-2.4.19_2.4.19-4.woody2.dsc
http://security.debian.org/pool/updates/main/k/kernel-source-2.4.19/kernel-source-2.4.19_2.4.19-4.woody2.diff.gz
http://security.debian.org/pool/updates/main/k/kernel-source-2.4.19/kernel-source-2.4.19_2.4.19.orig.tar.gz
http://security.debian.org/pool/updates/main/k/kernel-patch-2.4.19-mips/kernel-patch-2.4.19-mips_2.4.19-0.020911.1.woody4.dsc
http://security.debian.org/pool/updates/main/k/kernel-patch-2.4.19-mips/kernel-patch-2.4.19-mips_2.4.19-0.020911.1.woody4.tar.gz
Componentes independientes de la arquitectura:
http://security.debian.org/pool/updates/main/k/kernel-source-2.4.19/kernel-doc-2.4.19_2.4.19-4.woody2_all.deb
http://security.debian.org/pool/updates/main/k/kernel-source-2.4.19/kernel-source-2.4.19_2.4.19-4.woody2_all.deb
http://security.debian.org/pool/updates/main/k/kernel-patch-2.4.19-mips/kernel-patch-2.4.19-mips_2.4.19-0.020911.1.woody4_all.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/k/kernel-patch-2.4.19-mips/kernel-headers-2.4.19_2.4.19-0.020911.1.woody4_mips.deb
http://security.debian.org/pool/updates/main/k/kernel-patch-2.4.19-mips/kernel-image-2.4.19-r4k-ip22_2.4.19-0.020911.1.woody4_mips.deb
http://security.debian.org/pool/updates/main/k/kernel-patch-2.4.19-mips/kernel-image-2.4.19-r5k-ip22_2.4.19-0.020911.1.woody4_mips.deb
http://security.debian.org/pool/updates/main/k/kernel-patch-2.4.19-mips/mips-tools_2.4.19-0.020911.1.woody4_mips.deb

Las sumas MD5 de los ficheros que se listan están disponibles en el aviso original.